#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include "printerinterface.h"

namespace Ui {
class MainWidget;
}

class MainWidget : public QWidget
{
    Q_OBJECT

public:
    explicit MainWidget(QWidget *parent = 0);
    ~MainWidget();
    //Метод загрузки всех плагинов, реализующих интерфейс PrinterInterface
    void loadPrinterPlugins();
private slots:
    //Слот обработки сигнала кнопки "Print"
    void on_btnPrint_clicked();

private:
    Ui::MainWidget *ui;
    //Список корневых объектов всех загруженных плагинов
    QList<PrinterInterface*> _printers;
};

#endif // MAINWIDGET_H
